// (C) 2013-2014 Roger Villemaire <villemaire.roger@uqam.ca>

package transport;

public class Article {

    /*@ invariant poids >= 0;
    @*/

    protected /*@ spec_public @*/ int poids;

    public Article(){
	poids = 0;
    }

    /*@ public normal_behavior
        ensures \result == this.poids;
    @*/
    public /*@ pure @*/int getPoids(){
	return poids;
    }
}
